# Interface SocketIoConfig

Config interface

#### Deprecated

use the provideSocketIo function instead

interface SocketIoConfig {
options?: SocketIoOptions;
url: string;
}

- Defined in lib/socket-io.config.ts:125

#####
Index

### Properties

options?
url

## Properties

### `Optional` options

options?: SocketIoOptions

- Defined in lib/socket-io.config.ts:127

### url

url: string

- Defined in lib/socket-io.config.ts:126